ignite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pavel Tupitsyn <ptupit...@apache.org>
Subject Re: Windows XP support
Date Fri, 21 Apr 2017 15:03:21 GMT
I don't think we should bother with supporting 16 year old discontinued OS.
Vista support has also ended (just 10 days ago).

We should put Windows 7 there as the oldest supported version.

On Fri, Apr 21, 2017 at 5:59 PM, Igor Sapego <isapego@apache.org> wrote:

> Hello Igniters,
>
> So, I've been working on implementation of futures support for C++ [1] and
> It would be convenient for me to use condition variables on Windows [2] as
> well as on Linux. The problem here is that they are not supported on
> Windows XP.
>
> So I've checked documentation [3] and found out that we claim Windows XP
> support. Does anyone really needs it? AFAIK Windows XP is not supported by
> MS any more.
>
> Would not it be more convenient to drop its support if no one needs it so
> we can use more modern tools?
>
> [1] - https://issues.apache.org/jira/browse/IGNITE-1439
> [2] -
> https://msdn.microsoft.com/en-us/library/windows/desktop/
> ms682052(v=vs.85).aspx
> [3] -
> https://apacheignite.readme.io/docs/getting-started#section-prerequisites
>
> Best Regards,
> Igor
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message